---
docker_install_daemon_options: {}
  # "insecure-registries" : ["myregistry.example.com"]
  # "registry-mirrors": ["https://mirror.gcr.io"]

docker_install_daemon_config_path: /etc/docker/daemon.json
docker_install_crontab_prune: false
docker_install_crontab_prune_filter: "until=720h"

# Restart daemon
docker_install_restart_docker: false

docker_install_architecture: "{{ 'amd64' if ansible_architecture == 'x86_64' else 'arm64' if ansible_architecture == 'aarch64' else ansible_architecture }}"

docker_install_apt_update_cache: true
docker_install_apt_repository_channel: stable
docker_install_apt_repository_url: https://download.docker.com/linux
docker_install_apt_key_url: "{{ docker_install_apt_repository_url }}/{{ ansible_distribution | lower }}/gpg"
docker_install_apt_repository: |
  deb [arch={{ docker_install_architecture }}]
  {{ docker_install_apt_repository_url }}/{{ ansible_distribution | lower }}
  {{ ansible_distribution_release }}
  {{ docker_install_apt_repository_channel }}

docker_install_rhel_repository_url: https://download.docker.com/linux/centos/docker-ce.repo

docker_install_add_users_to_docker_group: []
